Skip to main content
GET
/
projects
/
{project_reference}
/
job-batches
/
{batch_id}
Get Job Batch
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/job-batches/{batch_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target": "<string>",
  "job_count": 1,
  "status_counts": {
    "submitted": 1,
    "working": 1,
    "completed": 1,
    "failed": 1,
    "canceled": 1
  },
  "created_at": "<string>",
  "updated_at": "<string>",
  "result": {
    "kind": "knowledge_ingest",
    "total_count": 1,
    "completed_count": 1,
    "skipped_count": 1,
    "failed_count": 1,
    "processing": [
      {
        "label": "<string>",
        "path": "<string>",
        "upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "remote_path": "<string>",
        "warning_count": 1
      }
    ],
    "completed": [
      {
        "label": "<string>",
        "path": "<string>",
        "upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "remote_path": "<string>",
        "warning_count": 1
      }
    ],
    "skipped": [
      {
        "label": "<string>",
        "path": "<string>",
        "upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "remote_path": "<string>",
        "warning_count": 1,
        "message": "<string>"
      }
    ],
    "failed": [
      {
        "label": "<string>",
        "path": "<string>",
        "upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "remote_path": "<string>",
        "warning_count": 1,
        "message": "<string>"
      }
    ],
    "remaining": [
      {
        "label": "<string>",
        "path": "<string>",
        "upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "remote_path": "<string>",
        "warning_count": 1
      }
    ],
    "remaining_label": "Remaining Files"
  }
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

project_reference
string
required

Project ID or slug

batch_id
string<uuid>
required

Batch UUID

Response

Job batch details

id
string<uuid>
required
project_id
string<uuid>
required
target
string | null
required
job_count
integer
required
Required range: x >= 0
status_counts
object
required
created_at
string
required
updated_at
string
required
result
object
required